Subject: [WORKAROUND] gitk lower pane scrollbar extends past gitk window

From: Jakub Narebski <[email-masked]>
Date: Thu, 22 Jun 2006 09:48:52 +0200

Alex Riesen wrote:

> On 6/22/06, Edgar Toernig <[email-masked]> wrote:
>> Jakub Narebski wrote:
>>>
>>> In gitk from the current 'next' branch, post git version 1.4.0
>>> (blob ba4644f) scrollbar for lower pane, i.e. for commitdiff and files
>>> (Comments) views extends past the bottom of the gitk window. Therefore
>>> I cannnot see lower part of commit diff if it is larger than 
>>> window height. 
>>
>> Yes, and the search field at the bottom is invisible too.  Removing
>> line 431:
>>
>>         .ctop conf -width $geometry(width) -height $geometry(height)
>>
>> seems to fix it and the window still gets the right size.
>>
> 
> No, it does not. It gets the default geometry, not the one it had last time.

Now I see. It is the case when I used gitk from a computer with a desktop
with larger screen height, then on computer with screen height smaller than 
gitk height was I had mentioned problem.

Workaround for now is to delete old geometry info from ~/.gitk file 
(or just delete whole file).

I don't know Tcl/Tk to make proper fix, i.e. check if restored size is not
larger than available screen size, and use min(saved size, screen size).
Another improvement would be to save the fact that gitk window is maximized
as a symbol, e.g. as equivalent of 

  set geometry(height) screen(height)

in ~/.gitk

-- 
Jakub Narebski
Warsaw, Poland
ShadeHawk on #git